(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6169,        197]
NotebookOptionsPosition[      5341,        174]
NotebookOutlinePosition[      5775,        191]
CellTagsIndexPosition[      5732,        188]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.809371546457893*^9, 3.809371549447708*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"7f3e14e4-8153-42e4-a11f-dcea848ce4de"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3", ",", "5", ",", "7"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4", ",", "6", ",", "8"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"RelBin", "[", 
  RowBox[{"\"\<GCD[a,b]==1\>\"", ",", "A", ",", "B"}], "]"}]}], "Input",
 CellChangeTimes->{{3.809371551496166*^9, 3.80937162023283*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"c392b815-0001-4a15-8272-d3e7fc95685a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "8"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.809371599011671*^9, 3.809371636662305*^9}, 
   3.8093756601183743`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"4f4a9fe6-300d-448c-851d-d3a6d3142f64"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"i", "\[Rule]", 
    RowBox[{"RelBin", "[", 
     RowBox[{"\"\<GCD[a,b]==i\>\"", ",", "A", ",", "B"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "20"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.809372441924733*^9, 3.809372478599372*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"d5182b3c-c814-4ea1-b33c-10138269136b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"3", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"7", ",", "8"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"2", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"3", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"3", ",", "6"}], "}"}], "}"}]}], ",", 
   RowBox[{"4", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"5", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"6", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"7", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"8", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"9", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"10", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"11", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"12", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"13", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"14", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"15", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"16", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"17", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"18", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"19", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"20", "\[Rule]", 
    RowBox[{"{", "}"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.809372481281989*^9, 3.8093756628353076`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"f2e72c60-99be-4122-b90e-cfd21c4dbdeb"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"d156a7d0-584b-4a32-9ab6-bd822ad044d7"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 198, 3, 63, "Input",ExpressionUUID->"7f3e14e4-8153-42e4-a11f-dcea848ce4de"],
Cell[CellGroupData[{
Cell[781, 27, 535, 14, 151, "Input",ExpressionUUID->"c392b815-0001-4a15-8272-d3e7fc95685a"],
Cell[1319, 43, 1110, 35, 188, "Output",ExpressionUUID->"4f4a9fe6-300d-448c-851d-d3a6d3142f64"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2466, 83, 404, 9, 145, "Input",ExpressionUUID->"d5182b3c-c814-4ea1-b33c-10138269136b"],
Cell[2873, 94, 2452, 77, 435, "Output",ExpressionUUID->"f2e72c60-99be-4122-b90e-cfd21c4dbdeb"]
}, Open  ]]
}
]
*)

